Bug 188819 - [PATCH] biology/pycogent: stage
Summary: [PATCH] biology/pycogent: stage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wen Heping
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-20 11:40 UTC by Bartek Rutkowski
Modified: 2014-05-02 15:10 UTC (History)
1 user (show)

See Also:


Attachments
pycogent-1.5.3.patch (891 bytes, patch)
2014-04-20 11:40 UTC, Bartek Rutkowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-04-20 11:40:00 UTC
- Stage
- Pet portlint

http://poudriere.ithil.palantiri.org:8080/latest-per-pkg/pycogent/1.5.3_2/

Port maintainer (wen@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-20 11:40:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-05-02 15:00:17 UTC
Author: wen
Date: Fri May  2 14:00:13 2014
New Revision: 352814
URL: http://svnweb.freebsd.org/changeset/ports/352814
QAT: https://qat.redports.org/buildarchive/r352814/

Log:
  - Stage support [1]
  - Pet portlint [1]
  - Add LICENSE
  - Convert to PYDISTUTILS_AUTOPLIST
  
  PR:		188819 [1]
  Submitted by:	Bartek Rutkowski <ports@robakdesign.com> [1]

Deleted:
  head/biology/pycogent/pkg-plist
Modified:
  head/biology/pycogent/Makefile
  head/biology/pycogent/pkg-descr

Modified: head/biology/pycogent/Makefile
==============================================================================
--- head/biology/pycogent/Makefile	Fri May  2 13:17:26 2014	(r352813)
+++ head/biology/pycogent/Makefile	Fri May  2 14:00:13 2014	(r352814)
@@ -10,7 +10,9 @@ DISTNAME=	PyCogent-${PORTVERSION}
 EXTRACT_SUFX=	.tgz
 
 MAINTAINER=	wen@FreeBSD.org
-COMMENT=	A toolkit for statistical analysis of biological sequences
+COMMENT=	Toolkit for statistical analysis of biological sequences
+
+LICENSE=	GPLv2
 
 BUILD_DEPENDS=	${PYNUMPY} \
 		${LOCALBASE}/bin/cython:${PORTSDIR}/lang/cython \
@@ -21,6 +23,6 @@ RUN_DEPENDS:=	${BUILD_DEPENDS}
 USE_PYTHON=		yes
 USE_PYDISTUTILS=	yes
 PYDISTUTILS_PKGNAME=	cogent
+PYDISTUTILS_AUTOPLIST=	yes
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/biology/pycogent/pkg-descr
==============================================================================
--- head/biology/pycogent/pkg-descr	Fri May  2 13:17:26 2014	(r352813)
+++ head/biology/pycogent/pkg-descr	Fri May  2 14:00:13 2014	(r352814)
@@ -6,4 +6,4 @@ graphics. It is distinguished by many un
 true codon alignment) and the frequent addition of entirely new methods for
 the analysis of genomic data.
 
-WWW:	http://pycogent.sourceforge.net/
+WWW: http://pycogent.sourceforge.net/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Wen Heping freebsd_committer 2014-05-02 15:01:33 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!